> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/compute/mcpg/web-search/search1api.md).

# Search1Api

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

## MCP 工具

### Search（搜索）

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

#### 参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `query` (string, 必需): The search query string | 示例值：`zenlayer`
* `search_service` (string, 必需): The search service you want to choose, Value in "google" | "bing" | "duckduckgo" | "yahoo" | "youtube" | "x" | "reddit" | "github" | "arxiv" | "wechat" | "bilibili" | "imdb" | "wikipedia" | "sogou" | "baidu" | "quark" | "360"
* `max_results` (number, 可选): The number of search results returned in response. Min: 1, Max: 10, Default: 5
* `crawl_results` (number, 可选): The number of results you want to crawl. Min: 0, Max: 10, Default: 0
* `image` (boolean, 可选): Search including image urls. Default: false
* `language` (string, 可选): The language preference for search results (e.g., 'en', 'zh-CN', 'fr')
* `time_range` (string, 可选): Limit search results to a specific time range, Value in "day" | "month" | "year"
* `include_sites` (array, 可选): List of websites to include in search results
* `exclude_sites` (array, 可选): List of websites to exclude from search results

### News（新闻）

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

#### 参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `query` (string, 必需): The search query string | 示例值：`zenlayer`
* `search_service` (string, 必需): The search service you want to choose, Value in "google" | "bing" | "duckduckgo" | "yahoo" | "reuters" | "hackernews"
* `max_results` (number, 可选): The number of search results returned in response. Min: 1, Max: 10, Default: 5
* `crawl_results` (number, 可选): The number of results you want to crawl. Min: 0, Max: 10, Default: 0
* `image` (boolean, 可选): Search including image urls. Default: false
* `language` (string, 可选): The language preference for search results (e.g., 'en', 'zh-CN', 'fr')
* `time_range` (string, 可选): Limit search results to a specific time range, Value in "day" | "month" | "year"
* `include_sites` (array, 可选): List of websites to include in search results
* `exclude_sites` (array, 可选): List of websites to exclude from search results

### Crawl（爬取）

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

#### 参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `url` (string, 必需): The search query string | 示例值：`https://ecn.ai`

### Sitemap（网站地图）

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

#### 参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `url` (string, 必需): The search query string | 示例值：`https://ecn.ai`

### Trending（热门趋势）

Search1API是一家专注于搜索的公司，他们的特色是价格便宜

#### 参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `search_service` (string, 必需): Available options: github, hackernews | 示例值：`github`
* `max_results` (integer, 可选): default:10 | 示例值：`10`

### MCP Cline 配置

此服务器需要通过您的 MCP 客户端进行配置。以下是不同环境下的示例：

需要替换你的租户ID和API Key（必需）

```
{
  "mcpServers": {
    "search1api": {
      "type": "streamable_http",
      "url": "https://mcp.ecn.ai/{租户ID}/search1api/mcp",
      "headers": {
        "Authorization": "Bearer 你的API Key"
      }
    }
  }
}
```

## API 接口

### Search（搜索）

#### 请求信息

* **Method**: POST
* **Endpoint**: `/search1api/search`

#### 请求参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `query` (string, 必需): The search query string | 示例值：`zenlayer`
* `search_service` (string, 必需): The search service you want to choose, Value in "google" | "bing" | "duckduckgo" | "yahoo" | "youtube" | "x" | "reddit" | "github" | "arxiv" | "wechat" | "bilibili" | "imdb" | "wikipedia" | "sogou" | "baidu" | "quark" | "360"
* `max_results` (number, 可选): The number of search results returned in response. Min: 1, Max: 10, Default: 5
* `crawl_results` (number, 可选): The number of results you want to crawl. Min: 0, Max: 10, Default: 0
* `image` (boolean, 可选): Search including image urls. Default: false
* `language` (string, 可选): The language preference for search results (e.g., 'en', 'zh-CN', 'fr')
* `time_range` (string, 可选): Limit search results to a specific time range, Value in "day" | "month" | "year"
* `include_sites` (array, 可选): List of websites to include in search results
* `exclude_sites` (array, 可选): List of websites to exclude from search results

#### 返回响应

* **200 成功**
  * Content-Type：`application/json`

#### 请求示例

```
curl --location --request POST 'https://api.ecn.ai/search1api/search' \
	--header 'Content-Type: application/json' \
	--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
	--data-raw '{
  "query": "zenlayer"
}'
```

#### 响应示例

```json
{}
```

### News（新闻）

#### 请求信息

* **Method**: POST
* **Endpoint**: `/search1api/news`

#### 请求参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `query` (string, 必需): The search query string | 示例值：`zenlayer`
* `search_service` (string, 必需): The search service you want to choose, Value in "google" | "bing" | "duckduckgo" | "yahoo" | "reuters" | "hackernews"
* `max_results` (number, 可选): The number of search results returned in response. Min: 1, Max: 10, Default: 5
* `crawl_results` (number, 可选): The number of results you want to crawl. Min: 0, Max: 10, Default: 0
* `image` (boolean, 可选): Search including image urls. Default: false
* `language` (string, 可选): The language preference for search results (e.g., 'en', 'zh-CN', 'fr')
* `time_range` (string, 可选): Limit search results to a specific time range, Value in "day" | "month" | "year"
* `include_sites` (array, 可选): List of websites to include in search results
* `exclude_sites` (array, 可选): List of websites to exclude from search results

#### 返回响应

* **200 成功**
  * Content-Type：`application/json`

#### 请求示例

```
curl --location --request POST 'https://api.ecn.ai/search1api/news' \
	--header 'Content-Type: application/json' \
	--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
	--data-raw '{
  "query": "zenlayer"
}'
```

#### 响应示例

```json
{}
```

### Crawl（爬取）

#### 请求信息

* **Method**: POST
* **Endpoint**: `/search1api/crawl`

#### 请求参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `url` (string, 必需): The search query string | 示例值：`https://ecn.ai`

#### 返回响应

* **200 成功**
  * Content-Type：`application/json`

#### 请求示例

```
curl --location --request POST 'https://api.ecn.ai/search1api/crawl' \
	--header 'Content-Type: application/json' \
	--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
	--data-raw '{
  "url": "https://docs.console.zenlayer.com/welcome"
}'
```

#### 响应示例

```json
{}
```

### Sitemap（网站地图）

#### 请求信息

* **Method**: POST
* **Endpoint**: `/search1api/sitemap`

#### 请求参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `url` (string, 必需): The search query string | 示例值：`https://ecn.ai`

#### 返回响应

* **200 成功**
  * Content-Type：`application/json`

#### 请求示例

```
curl --location --request POST 'https://api.ecn.ai/search1api/sitemap' \
	--header 'Content-Type: application/json' \
	--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
	--data-raw '{
  "url": "https://docs.console.zenlayer.com/welcome"
}'
```

#### 响应示例

```json
{}
```

### Trending（热门趋势）

#### 请求信息

* **Method**: POST
* **Endpoint**: `/search1api/trending`

#### 请求参数

**Header 参数**

* `Authorization` (string, 必需): | 示例值：`Bearer {{YOUR_API_KEY}}`

**Body 参数**

* `search_service` (string, 必需): Available options: github, hackernews | 示例值：`github`
* `max_results` (integer, 可选): default:10 | 示例值：`10`

#### 返回响应

* **200 成功**
  * Content-Type：`application/json`

#### 请求示例

```
curl --location --request POST 'https://api.ecn.ai/search1api/trending' \
	--header 'Content-Type: application/json' \
	--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
	--data-raw '{
  "search_service": "github",
  "max_results": 10
}'
```

#### 响应示例

```json
{}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/compute/mcpg/web-search/search1api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
